Sign in

Echoes

Get an Echo answer

GET https://service.steady.space/api/v2/echo/answers/{id}

200 Response

{
  "id": "9c2d3e4f-5a6b-4c7d-8e9f-0a1b2c3d4e5f",
  "question": {
    "id": "7a1d2e3f-4b5c-4d6e-8f90-1234567890ab",
    "title": "Weekly ship recap"
  },
  "title": "Weekly ship recap for Tue Apr 28",
  "body": "- Shipped the new search UI to staging\n- Reviewed the migration plan with Jordan\n",
  "published_at": "2026-04-28T13:30:00Z",
  "url": "https://app.steady.space/echo/answers/9c2d3e4f-5a6b-4c7d-8e9f-0a1b2c3d4e5f"
}
Field reference
Name Type Description
type string
id string
question object
title string
body object

Answer rendered as Markdown. null while the AI-generated content summary is still being produced.

published_at string
url string

List Echoes

GET https://service.steady.space/api/v2/echo/questions

Query parameters

Name Type Required Description
page integer No

Page number (1-indexed).

per_page integer No

Number of records per page.

200 Response

[
  {
    "id": "7a1d2e3f-4b5c-4d6e-8f90-1234567890ab",
    "prompt": "What's the most important thing you shipped this week?",
    "title": "Weekly ship recap",
    "answer_frequency": "weekly",
    "answer_day": "monday",
    "answer_time": "09:30",
    "answer_time_zone": "Eastern Time (US & Canada)",
    "next_answer_at": "2026-05-11T13:30:00Z",
    "paused_at": null,
    "created_at": "2026-02-09T19:22:00Z",
    "updated_at": "2026-04-28T15:14:33Z",
    "url": "https://app.steady.space/echo/questions/7a1d2e3f-4b5c-4d6e-8f90-1234567890ab"
  }
]
Field reference
Name Type Description
id string
prompt string
title string
answer_frequency string
answer_day string
answer_time string

24-hour time in HH:MM format.

answer_time_zone string

IANA time zone name (the question creator’s).

next_answer_at object
paused_at object
created_at string
updated_at string
url string

Create an Echo

POST https://service.steady.space/api/v2/echo/questions

Request body

{
  "prompt": "What's the most important thing you shipped this week?",
  "title": "Weekly ship recap",
  "answer_frequency": "weekly",
  "answer_day": "monday",
  "answer_time": "09:30"
}
Field reference
Name Type Required Description
id string Yes
prompt string No
title string No
answer_frequency string No
answer_day string No
answer_time string No

24-hour time in HH:MM format.

answer_time_zone string Yes

IANA time zone name (the question creator’s).

next_answer_at object Yes
paused_at object Yes
created_at string Yes
updated_at string Yes
url string Yes

201 Response

{
  "id": "7a1d2e3f-4b5c-4d6e-8f90-1234567890ab",
  "prompt": "What's the most important thing you shipped this week?",
  "title": "Weekly ship recap",
  "answer_frequency": "weekly",
  "answer_day": "monday",
  "answer_time": "09:30",
  "answer_time_zone": "Eastern Time (US & Canada)",
  "next_answer_at": "2026-05-11T13:30:00Z",
  "paused_at": null,
  "created_at": "2026-02-09T19:22:00Z",
  "updated_at": "2026-04-28T15:14:33Z",
  "url": "https://app.steady.space/echo/questions/7a1d2e3f-4b5c-4d6e-8f90-1234567890ab"
}
Field reference
Name Type Description
id string
prompt string
title string
answer_frequency string
answer_day string
answer_time string

24-hour time in HH:MM format.

answer_time_zone string

IANA time zone name (the question creator’s).

next_answer_at object
paused_at object
created_at string
updated_at string
url string

Get an Echo

GET https://service.steady.space/api/v2/echo/questions/{id}

200 Response

{
  "id": "7a1d2e3f-4b5c-4d6e-8f90-1234567890ab",
  "prompt": "What's the most important thing you shipped this week?",
  "title": "Weekly ship recap",
  "answer_frequency": "weekly",
  "answer_day": "monday",
  "answer_time": "09:30",
  "answer_time_zone": "Eastern Time (US & Canada)",
  "next_answer_at": "2026-05-11T13:30:00Z",
  "paused_at": null,
  "created_at": "2026-02-09T19:22:00Z",
  "updated_at": "2026-04-28T15:14:33Z",
  "url": "https://app.steady.space/echo/questions/7a1d2e3f-4b5c-4d6e-8f90-1234567890ab"
}
Field reference
Name Type Description
id string
prompt string
title string
answer_frequency string
answer_day string
answer_time string

24-hour time in HH:MM format.

answer_time_zone string

IANA time zone name (the question creator’s).

next_answer_at object
paused_at object
created_at string
updated_at string
url string

Update an Echo

PATCH https://service.steady.space/api/v2/echo/questions/{id}

Request body

{
  "prompt": "What's the most important thing you shipped this week?",
  "title": "Weekly ship recap",
  "answer_frequency": "weekly",
  "answer_day": "monday",
  "answer_time": "09:30"
}
Field reference
Name Type Required Description
id string Yes
prompt string No
title string No
answer_frequency string No
answer_day string No
answer_time string No

24-hour time in HH:MM format.

answer_time_zone string Yes

IANA time zone name (the question creator’s).

next_answer_at object Yes
paused_at object Yes
created_at string Yes
updated_at string Yes
url string Yes

200 Response

{
  "id": "7a1d2e3f-4b5c-4d6e-8f90-1234567890ab",
  "prompt": "What's the most important thing you shipped this week?",
  "title": "Weekly ship recap",
  "answer_frequency": "weekly",
  "answer_day": "monday",
  "answer_time": "09:30",
  "answer_time_zone": "Eastern Time (US & Canada)",
  "next_answer_at": "2026-05-11T13:30:00Z",
  "paused_at": null,
  "created_at": "2026-02-09T19:22:00Z",
  "updated_at": "2026-04-28T15:14:33Z",
  "url": "https://app.steady.space/echo/questions/7a1d2e3f-4b5c-4d6e-8f90-1234567890ab"
}
Field reference
Name Type Description
id string
prompt string
title string
answer_frequency string
answer_day string
answer_time string

24-hour time in HH:MM format.

answer_time_zone string

IANA time zone name (the question creator’s).

next_answer_at object
paused_at object
created_at string
updated_at string
url string

Delete an Echo

DELETE https://service.steady.space/api/v2/echo/questions/{id}

204 Response

The body is empty.

List an Echo's answers

GET https://service.steady.space/api/v2/echo/questions/{question_id}/answers

Query parameters

Name Type Required Description
page integer No

Page number (1-indexed).

per_page integer No

Number of records per page.

200 Response

[
  {
    "id": "9c2d3e4f-5a6b-4c7d-8e9f-0a1b2c3d4e5f",
    "question": {
      "id": "7a1d2e3f-4b5c-4d6e-8f90-1234567890ab",
      "title": "Weekly ship recap"
    },
    "title": "Weekly ship recap for Tue Apr 28",
    "body": "- Shipped the new search UI to staging\n- Reviewed the migration plan with Jordan\n",
    "published_at": "2026-04-28T13:30:00Z",
    "url": "https://app.steady.space/echo/answers/9c2d3e4f-5a6b-4c7d-8e9f-0a1b2c3d4e5f"
  }
]
Field reference
Name Type Description
type string
id string
question object
title string
body object

Answer rendered as Markdown. null while the AI-generated content summary is still being produced.

published_at string
url string